![KeplerJs](keplerjs.png) 

**The open source full-stack geosocial network platform**

* [Official DEMO](https://demo.keplerjs.io/)
* [Current Version](https://github.com/Keplerjs/Kepler/releases)

# Links

[Website](http://keplerjs.io/) | 
[Documentation](http://docs.keplerjs.io/) | 
[News](https://twitter.com/Kepler_JS) | 
[Blog](https://medium.com/keplerjs) | 
[Source code](https://github.com/Keplerjs) | 
[Plugins](https://atmospherejs.com/keplerjs) | 
[Roadmap](http://bit.ly/KeplerJsRoadmap) | 
[Issues](https://waffle.io/Keplerjs/Kepler)


## Introduction
Kepler is a open source [geosocial](https://en.wikipedia.org/wiki/Geosocial_networking) solution that lets users share favorite places and join discussions in real-time. It can be seen as a platform where users can interact with other open data platforms searching across [OpenStreetMap](http://www.openstreetmap.org/about), [Geonames](http://www.geonames.org/) among other sources.
The name as the best [Meteor](https://www.meteor.com/) tradition wants to remain in the space field, *Kepler* is inspired by [Kepler space telescope](https://en.wikipedia.org/wiki/Kepler_Mission) and wants to be seen as an sequel of the first and largest open source Meteor projects the old *Telescope* current *[VulcanJS](http://docs.vulcanjs.org/vulcan.html)*.

### Mission
Allows users to collect and georeferencing places on a modern web-mapping interface, describe them accurately, create relationships, sharing with other users and create a social environment. In addition to creating new place you can import pre-existing objects from Openstreetmap creating a social layer over OpenStreetMap.
A place in Kepler can be linked to metadata from different sources automatically, it can be anything that has a geographic location fixed or movable, real or virtual.

### Expectations
In the near future Kepler as any open source projects will follow a community-driven evolution that will support it instead of the initial mission ad we hope it has growth beyond expectations.

*"Any tool should be useful in the expected way, but a truly great tool lends itself to uses you never expected."*
Eric S. Raymond

## Install
1. Install the latest version of [NodeJs](https://nodejs.org).
2. Install [Meteor](https://www.meteor.com/install), which is used as the KeplerJs build tool.
3. [Download](https://github.com/Keplerjs/Kepler/releases) or clone the latest version of [Kepler](https://github.com/Keplerjs/Kepler) locally.
4. ```npm install && npm start ```
5. Open *http://localhost:3000/* in your browser.


## Copyright
Created by [Stefano Cudini](https://github.com/stefanocudini) [@zakis](http://twitter.com/zakis) and other [contributors](https://github.com/Keplerjs/Kepler/graphs/contributors).
Distributed under the [BSD 2-Clause](https://opensource.org/licenses/BSD-2-Clause) license.

